当前位置:论坛首页 > Linux面板 > 求助

【待反馈】面板Apache日志没有?

发表在 Linux面板2021-1-14 17:35 [复制链接] 19 119

是哪里需要配置吗?为什么我在后台面板看不到我的Apache日志文件呢?负载状态都是未定义



1.png
2.png
使用道具 举报 只看该作者 回复
发表于 2021-1-14 17:49:34 | 显示全部楼层
您好,您的网站目前正常吗?到文件管理那里,进到 /www/wwwlogs  这个目录下面,这里是apache的错误日志的目录和网站的日志的目录
使用道具 举报 回复 支持 反对
发表于 2021-1-14 17:55:24 | 显示全部楼层
大炮运维V587 发表于 2021-1-14 17:49
您好,您的网站目前正常吗?到文件管理那里,进到 /www/wwwlogs  这个目录下面,这里是apache的错误日志的 ...


是不是Apache极速安装导致某个模块没有加载?

error.log

error.log

网站.log

网站.log
使用道具 举报 回复 支持 反对
发表于 2021-1-14 18:02:25 | 显示全部楼层
danshu 发表于 2021-1-14 17:55
是不是Apache极速安装导致某个模块没有加载?

lua模块没有安装好,您编译安装试试
使用道具 举报 回复 支持 反对
发表于 2021-1-14 18:03:43 | 显示全部楼层
大炮运维V587 发表于 2021-1-14 18:02
lua模块没有安装好,您编译安装试试

编译安装需要另外填写参数吗?还是直接点编译安装就好了?
使用道具 举报 回复 支持 反对
发表于 2021-1-14 18:07:49 | 显示全部楼层
danshu 发表于 2021-1-14 18:03
编译安装需要另外填写参数吗?还是直接点编译安装就好了?

直接编译安装就可以了
使用道具 举报 回复 支持 反对
发表于 2021-1-14 18:20:51 | 显示全部楼层
大炮运维V587 发表于 2021-1-14 18:07
直接编译安装就可以了

编译安装完还是上面那样
使用道具 举报 回复 支持 反对
发表于 2021-1-14 18:29:18 | 显示全部楼层
danshu 发表于 2021-1-14 18:20
编译安装完还是上面那样

你是什么操作系统?
使用道具 举报 回复 支持 反对
发表于 2021-1-14 18:33:36 | 显示全部楼层
大炮运维V587 发表于 2021-1-14 18:29
你是什么操作系统?

Ubuntu 20.04.1 LTS,错误信息还是和上面一样的,从报错来看确实是因为lua相关的包没有安装,但是我在网上看了一部分,没有类似的问题,所以目前也不太清楚怎么安装相关缺失。

这个现象可能是跟我当前的项目有关,zencart框架的电商网站,但我也不确定,因为我放在本地是可以直接跑的,并且没有相关问题

之前也没有了解过Lua相关的
使用道具 举报 回复 支持 反对
发表于 2021-1-14 18:38:53 | 显示全部楼层
大炮运维V587 发表于 2021-1-14 18:29
你是什么操作系统?

另外我在论坛看到也有lua err相关的反馈,但好像并没有更详细的反馈,希望官方能够给下思路
使用道具 举报 回复 支持 反对
发表于 2021-1-14 18:39:24 | 显示全部楼层
danshu 发表于 2021-1-14 18:38
另外我在论坛看到也有lua err相关的反馈,但好像并没有更详细的反馈,希望官方能够给下思路 ...

https://www.bt.cn/bbs/forum.php? ... ghlight=Lua%2Berror
使用道具 举报 回复 支持 反对
发表于 2021-1-14 18:44:12 | 显示全部楼层
大炮运维V587 发表于 2021-1-14 18:29
你是什么操作系统?

网站是直接500
iShot2021-01-14 18.43.08.png
使用道具 举报 回复 支持 反对
发表于 2021-1-14 18:48:53 | 显示全部楼层
  1. apt-get install lua lua-devel -y
复制代码

安装下lua模块
使用道具 举报 回复 支持 反对
发表于 2021-1-14 19:11:59 | 显示全部楼层

lua模块是安装好的呀,从上面报错可以看出来,而且这个是自动安装好的,我不知道在哪个步骤安装的,只是它的某个工具包找不到,但是我不知道如何安装上面缺失的工具包gzip.lua,我安装了luarocks,也没有查找到叫gzip的工具包



iShot2021-01-14 19.09.31.png
使用道具 举报 回复 支持 反对
发表于 2021-1-14 19:15:44 | 显示全部楼层

另外在httpd.conf中没有看到相关的lua模块开启,不确定这个是否有影响
使用道具 举报 回复 支持 反对
12下一页
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表